petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectComposedDataSetRealstar

attach real array data to a PetscObject

### Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetRealstar(PetscObject obj,int id,PetscReal *data)

Not collective Many br

### Input parameters

| obj | - the object to which data is to be attached Many br
| id | - the identifier for the data Many br
| data | - the data to be attached Many br

Notes Many brThe data identifier can best be determined through a call to Many brPetscObjectComposedDataRegister() Many br

Many br

Level:developer
Location:include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages